## mina 1.1.7.dfsg

=== debian/changelog ===
mina (1.1.7.dfsg-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on javahelper.

  [ Vladimir Petko ]
  * d/rules: use java_compat_level variable provided by java-common to
    adjust -source/-target level to the minimum required by the default
    Java (Closes: #1053062).

  [ Emmanuel Bourg ]
  * Removed the -java-doc package
  * Standards-Version updated to 4.7.0
  * Switch to debhelper level 13
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2024 10:25:41 +0200

mina (1.1.7.dfsg-13) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with javahelper 0.72 (Closes: #927244)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889352)
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Apr 2019 09:56:32 +0200

mina (1.1.7.dfsg-12) unstable; urgency=medium

  * Fixed the build failure with Java 9 (Closes: #893376)
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Mar 2018 21:24:08 +0100

mina (1.1.7.dfsg-11) unstable; urgency=low

  * Removed the dependency on libmx4j-java
  * Fixed the watch file
  * Updated Standards-Version to 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Jul 2013 16:05:50 +0200

mina (1.1.7.dfsg-10) unstable; urgency=low

  * Team upload.
  * Switch dependencies on Spring Framework 2.5 with 3.0. (Closes: #638538).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add mh_clean call in dh_auto_clean target,

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 19 Aug 2011 19:52:14 -0430

mina (1.1.7.dfsg-9) unstable; urgency=low

  * d/control: Remove gjdoc from Build-Depends.
  * d/README.Debian: spring support is now enabled.
  * d/rules: Use jh_installjavadoc to install javadoc
  * d/rules: Use dh 7 style
  * Switch to default-jdk
  * Remove Depends on JRE (as allowed by new Java Policy)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Apr 2010 19:51:31 +0200

mina (1.1.7.dfsg-8) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * debian/maven.rules: Transform more dependencies

  [ Torsten Werner ]
  * Let 'maintainers' start with uppercase M.
  * Add missing Depends: ${misc:Depends}.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 00:47:02 +0200

mina (1.1.7.dfsg-7) unstable; urgency=low

  * Append "Mina 1.x" in extended description
  * Bump debhelper to >= 7
    - Replace dh_clean -k by dh_prep
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - debian/maven.rules: Install all JAR with "1.x" currentVersion
  * Update debian/watch to track 1.x releases
  * Cleanup get-orig-source:
    - Create a debian/orig-tar.sh with exlusion list in debian/orig-tar.exclude

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Oct 2009 22:47:23 +0200

mina (1.1.7.dfsg-6) unstable; urgency=low

  * Enable build of mina-integration-spring :
   - debian/control: add B-D on libspring-beans to build mina-integration-spring
   - debian/libmina-java.jlibs: add new mina-integration-spring.jar
   - debian/rules: add rules tu build mina-integration-spring
  * Bump Standards-Version 3.8.3 (no changes needed)
    - Move libmina-java to "java" section
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Update my email address
  * Rework dependencies:
    - debian/rules: remove jh_depends usage
    - debian/control: downgrade libjzlib-java and libmx4j-java to Recommends
    - debian/control: add Suggests on libspring-beans-2.5-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 25 Sep 2009 23:23:34 +0200

mina (1.1.7.dfsg-5) unstable; urgency=low

  * Add Build-Depends on gjdoc for dh_javadoc helper (Closes: #507203)
    Thanks to James Westby <james.westby@canonical.com>.
  * Move examples (sample source code) to libmina-java-doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 29 Nov 2008 21:05:49 +0100

mina (1.1.7.dfsg-4) unstable; urgency=low

  * debian/control:
    - As stated by Debian Java Policy, add a Depends on
      required JRE (version >=5 and headless). Use openjdk-6-jre-headless as
      default alternative.
    - Depends on debhelper ">= 5" instead of ">> 5"
    - Reformat and correct typo in debian packages description
  * debian/watch: correct dversionmangle to escape ".dfsg" from version number
  * debian/rules: give to jh_build options '-source 1.5 -target 1.5' to compile
    to 1.5 .class format (without that we get OpenJDK6 default class format
    which is 1.6)
  * debian/copyright:
    - Add a note about items stripped from upstream tarball.
    - Reformat debian packaging copyright
  * Rewrite Abstract of Mina package's doc-base.

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Thu, 14 Aug 2008 01:16:52 +0200

mina (1.1.7.dfsg-3) unstable; urgency=low

  * Initial release. (Closes: #491626)
  * debian/control: Use differents synopses for libmina-java and -doc
  * debian/rules:
    - Use dh_installexamples for installing sample code
    - Strip *.vsd files from orig.tar.gz (Microsoft Visio documents)
  * debian/copyright: Licence packaging to BSD licence

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 02 Aug 2008 01:16:12 +0200

mina (1.1.7.dfsg-2) unstable; urgency=low

  * Use dh_javadoc for generating Javadoc

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 21:26:43 +0200

mina (1.1.7.dfsg-1) unstable; urgency=low

  * Thanks to Rail Aliev <rail@i-rs.ru> for his packaging help

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 20:30:20 +0200
