=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/java/java_defaults.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE   := $(shell dpkg-parsechangelog | grep '^Source:' | cut -f 2 -d ' ')
VERSION   := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed -r 's/\.dfsg//')

JAVA_HOME := /usr/lib/jvm/default-java
# We need to export JAVA_HOME for jh_build
export JAVA_HOME

# Target the minimum language level and class format supported by the default JDK
JAVA_OPTS := -source $(java_compat_level) -target $(java_compat_level)

CORE_JAR  := $(PACKAGE)-core.jar
CORE_SRC  := core/src/main/java/
CORE_CP   := /usr/share/java/slf4j-api.jar

ZLIB_JAR  := $(PACKAGE)-filter-compression.jar
ZLIB_SRC  := filter-compression/src/main/java/
ZLIB_CP   := $(CORE_JAR):/usr/share/java/slf4j-api.jar:/usr/share/java/jzlib.jar

SSL_JAR   := $(PACKAGE)-filter-ssl.jar
SSL_SRC   := filter-ssl/src/main/java/
SSL_CP    := $(CORE_JAR):/usr/share/java/slf4j-api.jar

JMX_JAR   := $(PACKAGE)-integration-jmx.jar
JMX_SRC   := integration-jmx/src/main/java/
JMX_CP    := $(CORE_JAR):/usr/share/java/slf4j-api.jar

SPRING_JAR := $(PACKAGE)-integration-spring.jar
SPRING_SRC := integration-spring/src/main/java/
SPRING_CP  := $(CORE_JAR):/usr/share/java/slf4j-api.jar:/usr/share/java/spring3-core.jar:/usr/share/java/spring3-beans.jar

ALL_JARS = $(wildcard *.jar)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	# Build the packages
	( CLASSPATH=${CORE_CP}   jh_build -J --javacopts='$(JAVA_OPTS)' $(CORE_JAR)   $(CORE_SRC)   )
	( CLASSPATH=${ZLIB_CP}   jh_build -J --javacopts='$(JAVA_OPTS)' $(ZLIB_JAR)   $(ZLIB_SRC)   )
	( CLASSPATH=${SSL_CP}    jh_build -J --javacopts='$(JAVA_OPTS)' $(SSL_JAR)    $(SSL_SRC)    )
	( CLASSPATH=${JMX_CP}    jh_build -J --javacopts='$(JAVA_OPTS)' $(JMX_JAR)    $(JMX_SRC)    )
	( CLASSPATH=${SPRING_CP} jh_build -J --javacopts='$(JAVA_OPTS)' $(SPRING_JAR) $(SPRING_SRC) )

override_dh_auto_clean:
	rm -f $(CORE_JAR) $(ZLIB_JAR) $(SSL_JAR) $(JMX_JAR) $(SPRING_JAR)
	mh_clean

override_dh_auto_install:
	for MYJAR in $(ALL_JARS); do \
		BASENAME=`basename $$MYJAR .jar`; \
		SUBPATH=`echo $$BASENAME | sed -e 's/mina\-//'`; \
		mh_installpom -plibmina-java -o $$SUBPATH/pom.xml ; \
		mh_installjar -plibmina-java -n$$BASENAME -l $$SUBPATH/pom.xml $$MYJAR ; \
	done
