=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
  https://archive.apache.org/dist/mina/(1\.[\d.]+)/mina-(1\.[\d.]+)\.tar\.gz debian debian/orig-tar.sh
